summaryrefslogtreecommitdiffstats
path: root/tests.sh
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2016-12-20 21:09:42 -0500
committerTavian Barnes <tavianator@tavianator.com>2016-12-20 21:09:42 -0500
commit96ca12560f5c4007891985f98fba94fd9c0dc241 (patch)
tree93f2bbf49996e75a55866668d38113ddef41148e /tests.sh
parentb23b74b9bd204ce432109f92f6dd5468e07daeba (diff)
downloadbfs-96ca12560f5c4007891985f98fba94fd9c0dc241.tar.xz
Support -[gu]id NAME like BSD find
Diffstat (limited to 'tests.sh')
-rwxr-xr-xtests.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/tests.sh b/tests.sh
index 8848ebe..8d9a49b 100755
--- a/tests.sh
+++ b/tests.sh
@@ -735,9 +735,19 @@ function test_0117() {
bfs_diff basic -depth -depth -2
}
+function test_0118() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -gid "$(id -gn)"
+}
+
+function test_0119() {
+ [ "$BSD" ] || return 0
+ bfs_diff basic -uid "$(id -un)"
+}
+
result=0
-for i in {1..117}; do
+for i in {1..119}; do
test="test_$(printf '%04d' $i)"
if [ -t 1 ]; then